
unsigned char FlagReg;
sbit ZC at FlagReg.B0;
 int angle,v1;
 unsigned int v;


void interrupt(){
     if (INTCON.INTF){
        ZC = 1;
        INTCON.INTF = 0;
     }
}


void main() {

     TRISB = 0x01;              //RB0 input for interrupt
     TRISA=0x01;   //Input for potentiometer
     TRISC=0X00;   //Output for driving the TRIAC
     PORTB = 0;
     PORTC=0;
     OPTION_REG.INTEDG =0;      //interrupt on falling edge
     INTCON.INTF = 0;           //clear interrupt flag
     INTCON.INTE = 1;           //enable external interrupt
     INTCON.GIE = 1;            //enable global interrupt
     ADCON1=0x00;
    ADCON0=0X81;
    delay_us(3);
    v=ADC_read(0);
    v1=(v*5)/1023;
    while (1){
               /*
               PORTC.F0=1 ;
           delay_ms(1000);
           PORTC.F0=0;
           delay_ms(500);   */
           
           if (ZC==1){ //zero crossing occurred
              PORTC.F6 = 1; //Send a 8ms pulse
            delay_ms(6);
              PORTC.F6 = 0;
              ZC = 0;
           }


     }
}





 /*
unsigned char FlagReg;
 sbit ZC at FlagReg.B0;

void interrupt()
 {
 if (INTCON.INTF){ //INTF flag raised, so external interrupt occured
 ZC = 1;
 INTCON.INTF = 0;
 }
 }

void main() {
 PORTB = 0;
 TRISB = 0x01; //RB0 input for interrupt
 PORTC = 0;
 TRISC = 0; //PORTD all output
 OPTION_REG.INTEDG = 0; //interrupt on falling edge
 INTCON.INTF = 0; //clear interrupt flag
 INTCON.INTE = 1; //enable external interrupt
 INTCON.GIE = 1; //enable global interrupt

while (1){
 if (ZC){ //zero crossing occurred
 PORTC.F6 = 1; //Send a 1ms pulse
 delay_ms(5);
 PORTC.F6 = 0;
 ZC = 0;
 }
 }
 }       */